Gentoo Logo

ClamAV: Denial of Service

Content:

1.  Gentoo Linux Security Advisory

Version Information

Advisory Reference GLSA 200708-04 / clamav
Release Date August 09, 2007
Latest Revision August 09, 2007: 01
Impact normal
Exploitable remote
Package Vulnerable versions Unaffected versions Architecture(s)
app-antivirus/clamav < 0.91 >= 0.91 All supported architectures

Related bugreports: #185013

Synopsis

A vulnerability has been discovered in ClamAV, allowing for a Denial of Service.

2.  Impact Information

Background

ClamAV is a GPL virus scanner.

Description

Metaeye Security Group reported a NULL pointer dereference in ClamAV when processing RAR archives.

Impact

A remote attacker could send a specially crafted RAR archive to the clamd daemon, resulting in a crash and a Denial of Service.

3.  Resolution Information

Workaround

There is no known workaround at this time.

Resolution

All ClamAV users should upgrade to the latest version:

Code Listing 3.1: Resolution

# emerge --sync
# emerge --ask --oneshot --verbose ">=app-antivirus/clamav-0.91"

4.  References



Print

Page updated August 09, 2007

Summary: This is a Gentoo Linux Security Advisory

Security Team
Contact Address

Donate to support our development efforts.

Copyright 2001-2014 Gentoo Foundation, Inc. Questions, Comments? Contact us.